Delete a Professional
Delete a professional using professionalId as the unique identifier. Warning: This operation is irreversible.
This action should be taken only if the professional is no longer active in your system and will not be re-enrolled.
Authorization
apiKey clientId In: header
In: header
Path Parameters
Unique identifier for the professional.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/professionals/628fc8e2-ee7e-4779-9eb7-d980e7a92f3a"{
"status": 200,
"code": "deleted",
"detail": "string"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 429,
"detail": "string",
"code": "f5d62b05-370e-48be-a755-8675ca146431"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 500,
"detail": "string",
"code": "unexpected_error"
}Update Professional PATCH
Update information belonging to a professional that has already been created in the Propelus system. Partial updates to a professional, identified by `professionalId`, following JSON Merge Patch (RFC 7396) semantics. Fields omitted from the request body are left unchanged. Fields set to `null` are cleared (except `externalId` and `name`, which cannot be cleared). Use this endpoint to update any subset of a professional's attributes.
Create a Professional's Credential POST
After creating a professional, you will then add any relevant credentials using the professional ID generated during the creation of the professional. Creating credentials is optional if the professional is being enrolled in an AdverseCheck package. An important note, after creating the professional's credentials, you will need to enroll them in a [monitoring product](/monitoring/CreateProfessionalMonitoring).